--
-- PostgreSQL database dump
--

-- Dumped from database version 9.3.14
-- Dumped by pg_dump version 9.5.6

-- Started on 2017-06-07 09:12:15 CEST

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;
-- SET row_security = off;

SET search_path = [TABLE_SCHEMA], pg_catalog;

--
-- TOC entry 452 (class 1259 OID 67429)
-- Name: seq_draw; Type: SEQUENCE; Schema: [TABLE_SCHEMA]; Owner: -
--

CREATE SEQUENCE seq_draw
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


SET default_tablespace = '';

SET default_with_oids = true;

--
-- TOC entry 453 (class 1259 OID 67620)
-- Name: draw; Type: TABLE; Schema: [TABLE_SCHEMA]; Owner: -
--

CREATE TABLE draw (
    draw_id integer DEFAULT nextval('seq_draw'::regclass) NOT NULL,
    theme character varying(50),
    comments text,
    description character varying(255),
    text_size integer,
    geom_size integer,
    user_id integer,
    label boolean DEFAULT true,
    graph boolean DEFAULT true,
    contour_color character varying(50),
    background_color character varying(50),
    color_label character varying(50),
    area character varying(30),
    area_label boolean,
    perimeter character varying(30),
    perimeter_label boolean,
    text_label character varying(255),
    geom public.geometry(Geometry,[SRID]),
    CONSTRAINT enforce_dims_geom CHECK ((public.st_ndims(geom) = 2)),
    CONSTRAINT enforce_srid_geom CHECK ((public.st_srid(geom) = [SRID]))
);


--
-- TOC entry 490 (class 1259 OID 68425)
-- Name: v_draw; Type: VIEW; Schema: [TABLE_SCHEMA]; Owner: -
--

CREATE VIEW v_draw AS
 SELECT draw.draw_id,
    draw.theme,
    draw.comments,
    draw.description,
    draw.text_size,
    draw.geom_size,
    draw.contour_color,
    draw.background_color,
    draw.color_label,
    draw.user_id,
    draw.label,
    draw.graph,
    draw.area,
    draw.area_label,
    draw.perimeter,
    draw.perimeter_label,
    draw.text_label,
    "substring"(public.st_astext(draw.geom), 1, ("position"(public.st_astext(draw.geom), '('::text) - 1)) AS geom_type,
    draw.geom,
    "user".login
   FROM (draw
     JOIN s_vitis."user" ON ((draw.user_id = "user".user_id)))
  WHERE (("user".login)::name = "current_user"())
  ORDER BY draw.draw_id DESC;


--
-- TOC entry 454 (class 1259 OID 67686)
-- Name: v_draw_line; Type: VIEW; Schema: [TABLE_SCHEMA]; Owner: -
--

CREATE VIEW v_draw_line AS
 SELECT draw.draw_id,
    draw.theme,
    draw.comments,
    draw.description,
    draw.text_size,
    draw.geom_size,
    draw.contour_color,
    draw.background_color,
    draw.color_label,
    draw.user_id,
    draw.label,
    draw.graph,
    draw.area,
    draw.area_label,
    draw.perimeter,
    draw.perimeter_label,
    draw.text_label,
    "substring"(public.st_astext(draw.geom), 1, ("position"(public.st_astext(draw.geom), '('::text) - 1)) AS geom_type,
    draw.geom,
    "user".login
   FROM (draw
     JOIN s_vitis."user" ON ((draw.user_id = "user".user_id)))
  WHERE ((public.st_geometrytype(draw.geom) ~~ '%Line%'::text) AND (("user".login)::name = "current_user"()));


--
-- TOC entry 455 (class 1259 OID 67691)
-- Name: v_draw_point; Type: VIEW; Schema: [TABLE_SCHEMA]; Owner: -
--

CREATE VIEW v_draw_point AS
 SELECT draw.draw_id,
    draw.theme,
    draw.comments,
    draw.description,
    draw.text_size,
    draw.geom_size,
    draw.contour_color,
    draw.background_color,
    draw.color_label,
    draw.user_id,
    draw.label,
    draw.graph,
    draw.area,
    draw.area_label,
    draw.perimeter,
    draw.perimeter_label,
    draw.text_label,
    "substring"(public.st_astext(draw.geom), 1, ("position"(public.st_astext(draw.geom), '('::text) - 1)) AS geom_type,
    draw.geom,
    "user".login
   FROM (draw
     JOIN s_vitis."user" ON ((draw.user_id = "user".user_id)))
  WHERE ((public.st_geometrytype(draw.geom) ~~ '%Point%'::text) AND (("user".login)::name = "current_user"()));


--
-- TOC entry 456 (class 1259 OID 67696)
-- Name: v_draw_poly; Type: VIEW; Schema: [TABLE_SCHEMA]; Owner: -
--

CREATE VIEW v_draw_poly AS
 SELECT draw.draw_id,
    draw.theme,
    draw.comments,
    draw.description,
    draw.text_size,
    draw.geom_size,
    draw.contour_color,
    draw.background_color,
    draw.color_label,
    draw.user_id,
    draw.label,
    draw.graph,
    draw.area,
    draw.area_label,
    draw.perimeter,
    draw.perimeter_label,
    draw.text_label,
    "substring"(public.st_astext(draw.geom), 1, ("position"(public.st_astext(draw.geom), '('::text) - 1)) AS geom_type,
    draw.geom,
    "user".login
   FROM (draw
     JOIN s_vitis."user" ON ((draw.user_id = "user".user_id)))
  WHERE ((public.st_geometrytype(draw.geom) ~~ '%Polygon%'::text) AND (("user".login)::name = "current_user"()));


--
-- TOC entry 3985 (class 2606 OID 67632)
-- Name: pk_draw; Type: CONSTRAINT; Schema: [TABLE_SCHEMA]; Owner: -
--

ALTER TABLE ONLY draw
    ADD CONSTRAINT pk_draw PRIMARY KEY (draw_id);


--
-- TOC entry 3983 (class 1259 OID 67677)
-- Name: dessin_geom; Type: INDEX; Schema: [TABLE_SCHEMA]; Owner: -
--

CREATE INDEX dessin_geom ON draw USING gist (geom);


--
-- TOC entry 4211 (class 2618 OID 68430)
-- Name: delete_v_draw; Type: RULE; Schema: [TABLE_SCHEMA]; Owner: -
--

CREATE RULE delete_v_draw AS
    ON DELETE TO v_draw DO INSTEAD  DELETE FROM draw
  WHERE (draw.draw_id = old.draw_id);


--
-- TOC entry 4212 (class 2618 OID 68431)
-- Name: insert_v_draw; Type: RULE; Schema: [TABLE_SCHEMA]; Owner: -
--

CREATE RULE insert_v_draw AS
    ON INSERT TO v_draw DO INSTEAD  INSERT INTO draw (theme, comments, description, text_size, user_id, label, contour_color, background_color, color_label, geom, graph, geom_size, area, area_label, perimeter, perimeter_label, text_label)
  VALUES (new.theme, new.comments, new.description, new.text_size, ( SELECT "user".user_id
           FROM s_vitis."user"
          WHERE (("user".login)::name = "current_user"())), new.label, new.contour_color, new.background_color, new.color_label, new.geom, new.graph, new.geom_size, new.area, new.area_label, new.perimeter, new.perimeter_label, new.text_label)
  RETURNING draw.draw_id,
    draw.theme,
    draw.comments,
    draw.description,
    draw.text_size,
    draw.geom_size,
    draw.contour_color,
    draw.background_color,
    draw.color_label,
    draw.user_id,
    draw.label,
    draw.graph,
    draw.area,
    draw.area_label,
    draw.perimeter,
    draw.perimeter_label,
    draw.text_label,
    "substring"(public.st_astext(draw.geom), 1, ("position"(public.st_astext(draw.geom), '('::text) - 1)) AS geom_type,
    draw.geom,
    ''::character varying AS "varchar";


--
-- TOC entry 4213 (class 2618 OID 68433)
-- Name: update_v_draw; Type: RULE; Schema: [TABLE_SCHEMA]; Owner: -
--

CREATE RULE update_v_draw AS
    ON UPDATE TO v_draw DO INSTEAD  UPDATE draw SET draw_id = new.draw_id, theme = new.theme, comments = new.comments, description = new.description, text_size = new.text_size, user_id = new.user_id, label = new.label, contour_color = new.contour_color, background_color = new.background_color, color_label = new.color_label, geom = new.geom, graph = new.graph, geom_size = new.geom_size, area = new.area, area_label = new.area_label, perimeter = new.perimeter, perimeter_label = new.perimeter_label, text_label = new.text_label
  WHERE (draw.draw_id = new.draw_id);


--
-- TOC entry 3986 (class 2606 OID 67633)
-- Name: fk_user_login; Type: FK CONSTRAINT; Schema: [TABLE_SCHEMA]; Owner: -
--

ALTER TABLE ONLY draw
    ADD CONSTRAINT fk_user_login FOREIGN KEY (user_id) REFERENCES s_vitis."user"(user_id) ON DELETE CASCADE;


GRANT USAGE ON SCHEMA [TABLE_SCHEMA] TO vmap_user;
GRANT SELECT, UPDATE, INSERT, DELETE ON TABLE [TABLE_SCHEMA].v_draw TO vmap_user;
GRANT SELECT ON TABLE [TABLE_SCHEMA].v_draw_point TO vmap_user;
GRANT SELECT ON TABLE [TABLE_SCHEMA].v_draw_line TO vmap_user;
GRANT SELECT ON TABLE [TABLE_SCHEMA].v_draw_poly TO vmap_user;
GRANT SELECT, UPDATE ON SEQUENCE [TABLE_SCHEMA].seq_draw TO vmap_user;


-- Completed on 2017-06-07 09:12:21 CEST

--
-- PostgreSQL database dump complete
--

